### Method

# Adw Carousel insert

#### Declaration [src]

    void
    adw_carousel_insert (
      AdwCarousel* self,
      GtkWidget* child,
      int position
    )

#### Description [src]

Inserts `child` into `self` at position `position`.

If position is -1, or larger than the number of pages, `child` will be appended to the end.

Available since: | 1.0

#### Parameters

`child` | `GtkWidget`
| A widget to add.
| The data is owned by the caller of the function.
`position` | `int`
| The position to insert `child` at.